- API reference
- Configurations
- Return a Configuration
https://api.us.nylas.com/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}Return a Configuration
Returns the specified Configuration object.
Path parameters
ID of the grant to access. You can also use the email address associated with the grant, or use
/me/ to refer to the grant associated with an access token.
"[email protected]"disable_emailsbooleannullableWhen true, Nylas doesn't send email notifications when an event is booked,
cancelled, or rescheduled. When null, the default behavior applies (emails are sent).
falsehide_participantsbooleannullableWhen true, Nylas creates the event with hide_participants=true, so the host can see who's on the event but the guests cannot. When null, the default behavior applies (participants are visible).
falsenotify_participantsbooleannullableWhen true, the calendar provider sends notifications to participants
when the event is created, updated, or deleted. Microsoft grants ignore
this flag and always notify participants. This field may be null if not
explicitly set on the configuration; treat null the same as false.
false"America/New York"["primary"]open_hoursarray<object>An array of objects representing the participant's open hours. Nylas searches for free time slots within these open hours.
daysarray<integer>The days of the week that the open hour settings are applied
to. Sunday corresponds to 0, and Saturday corresponds to 6.
[1,2,3,4,5]exdatesarray<string>A list of dates that are excluded from the participant's open
hours, in YYYY-MM-DD format.
["2025-01-18"]timezonestringThe participant's timezone as an IANA-formatted string. Nylas uses this when calculating the participant's open hours and in email notifications.
"America/New York""[email protected]"requires_session_authbooleannullableWhen true, the scheduling Availability and Bookings endpoints require a valid
session ID to authenticate requests using the Configuration. This field may be
null if not explicitly set; treat null the same as false.
falseavailable_days_in_futureintegerThe number of days in the future that Scheduler is available for scheduling events.
30Rate limited. The provider or Nylas throttled the request. If a provider throttles a request and
says how long to wait, the Retry-After header gives that number of seconds. When the header
is missing, retry with exponential backoff. See
429 rate limit errors by provider.